# MaskFilter class

A mask filter to apply to shapes as they are painted. A mask filter is a function that takes a bitmap of color pixels, and returns another bitmap of color pixels.

Instances of this class are used with Paint.maskFilter on Paint objects.

## Constructors

MaskFilter.blur(BlurStyle _style, double _sigma)
  Creates a mask filter that takes the shape being drawn and blurs it. [...]
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, override
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  override